%global momorel 5

Summary: An open source raw-image converter written in GTK+
Name: rawstudio
Version: 1.2
Release: %{momorel}m%{?dist}
License: GPLv2+
Group: Applications/Multimedia
URL:  http://rawstudio.org/
Source0: http://rawstudio.org/files/release/%{name}-%{version}.tar.gz
NoSource: 0
Patch0: %{name}-%{version}-desktop.patch
Patch1: %{name}-1.1.1-stricter-str-functions.patch
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildRequires: GConf2-devel
BuildRequires: dbus-devel
BuildRequires: desktop-file-utils
BuildRequires: exiv2-devel >= 0.20
BuildRequires: glib2-devel
BuildRequires: gtk2-devel
BuildRequires: lcms-devel
BuildRequires: libjpeg-devel >= 8a
BuildRequires: libtiff-devel
BuildRequires: libxml2-devel

%description
Rawstudio is an open source raw-image converter written in GTK+.

Features:
* Reads all dcraw supported formats
* Internal 16bit rgb
* Various post-shot controls (white balance, saturation and exposure
  compensation among others)
* Realtime histogram
* Optimized for MMX, 3dnow! and SSE (detected runtime)
* Easy sorting of images
* Fullscreen mode for better overview

%prep
%setup -q

%patch0 -p1 -b .desktop-ja
%patch1 -p1 -b .fix-build

%build
%configure LIBS="-lX11"
%make

%install
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}
%makeinstall

%clean
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc AUTHORS COPYING INSTALL NEWS README TODO
%{_bindir}/%{name}
%{_datadir}/applications/%{name}.desktop
%{_datadir}/icons/%{name}.png
%{_datadir}/locale/*/LC_MESSAGES/%{name}.mo
%{_datadir}/pixmaps/%{name}
%{_datadir}/%{name}

%changelog
* Tue Aug 31 2010 Yohsuke Ooi <meke@momonga-linux.org>
- (1.2-5m)
- full rebuild for mo7 release

* Tue Jul 27 2010 Ichiro Nakai <ichiro@n.email.ne.jp>
- (1.2-4m)
- fix build

* Sun May 30 2010 Ichiro Nakai <ichiro@n.email.ne.jp>
- (1.2-3m)
- rebuild against exiv2-0.20

* Sat Apr 10 2010 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (1.2-2m)
- rebuild against libjpeg-8a

* Mon Jan 25 2010 Ichiro Nakai <ichiro@n.email.ne.jp>
- (1.2-1m)
- initial package for photo freaks using Momonga Linux
- import stricter-str-functions.patch from Fedora
